This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 49253 - installer fails
installer fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-17 10:08 EDT by andrew small
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-25 09:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description andrew small 2001-07-17 10:08:07 EDT
Description of Problem:
I have three ide harddisk on a box in which i am trying to install redhat 
7.0 using kickstart.  i opted for a raid 5 across the disk on / and 
on /boot raid 1 across two disks.  I have a copy of the updated errata
boot image but that does solve the problem.  I boot the machine in which
i want to install on and type the following "linux updates ks=floppy".
The installation starts then it stops at a blue screen with error 
messages.   

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:

A blue screen with words across the screen making references to the 
todo.py file 

Expected Results:

installation of redhat 7.0 using kickstart with raid 5 across / and raid 1
across /boot.

Additional Information:
Comment 1 Brent Fox 2001-07-17 10:59:53 EDT
Is it possible to attach the error message?  I don't have much to go on without
that.  Also, attaching your kickstart file might be useful.
Comment 2 andrew small 2001-07-20 08:44:49 EDT
This is the context of my kickstart file 'ks.cfg'.
-------------------------------------------------------------------------------
lang en
keyboard uk

network --bootproto dhcp --hostname node1.icepicc.co.uk
zerombr yes
clearpart --all
part raid.01 --size 80 --grow --ondisk hda
part raid.02 --size 80 --grow --ondisk hdb
part raid.03 --size 80 --grow --ondisk hdc
part swap --size 256 --ondisk hda
part swap --size 256 --ondisk hdb 
part swap --size 256 --ondisk hdbc
part raid.11 --size 80 --ondisk hda
part raid.12 --size 80 --ondisk hdb
raid / --level 5 --device md0 raid.01 raid.02 raid.03 
raid /boot --level 1 --device md1 raid.11 raid.12 

install
url --url http://10.0.0.5/rh

device ethernet eepro100
mouse genericps/2 --emulthree

timezone Europe/London

xconfig --server "/etc/X11/X: broken symbolic link 
to ../../usr/X11R6/bin/XFree86" --monitor "generic monitor"

rootpw --iscrypted $1$rNGksn/g$6.Zv2BHk6fSWhSTR7uPW91

auth --useshadow

lilo --location mbr

%packages
filesystem
glibc
mktemp
libtermcap
anacron
ncurses
fileutils
ash
authconfig
automake
bdflush
binutils
byacc
bzip2-devel
sed
cpio
cproto
cracklib-dicts
ctags
db1
db3
dev
diffutils
e2fsprogs
eject
findutils
freetype
gawk
gcc-c++
gd
gdb
gdbm-devel
glib
glibc-devel
gnupg
gpm-devel
gzip
indent
iproute
isapnptools
popt
sysklogd
modutils
kernel-pcmcia-cs
kernel-utils
krb5-devel
pam
krb5-libs
kudzu-devel
libjpeg
libpng
libstdc++
libtermcap-devel
libtiff-devel
perl
libtool-libs
textutils
linuxconf-devel
lsof
mailcap
make
man
mingetty
mkinitrd
mouseconfig
ncompress
net-tools
netpbm-devel
newt-devel
ntsysv
openssl
passwd
pciutils
pidentd
psmisc
python
python-xmlrpc
rdate
readline
redhat-logos
rhn_register
rootfiles
rpm-build
rpm-python
rsh-server
sash
setuptool
slang
slocate
strace
SysVinit
tcp_wrappers
time
tmpwatch
ucd-snmp
unzip
utempter
vim-common
which
XFree86-libs
zip
zlib-devel
apache-devel
mkkickstart
setup
basesystem
chkconfig
termcap
bash
apmd
info
grep
at
autoconf
bc
bind-utils
bison
bzip2
cdecl
console-tools
cpp
cracklib
crontabs
cyrus-sasl
db2
shadow-utils
dev86
diffstat
dump
ed
file
flex
ftp
gcc
gcc-g77
gd-devel
gdbm
gettext
kernel-headers
gmp
gpm
groff
hdparm
initscripts
iputils
kbdconfig
logrotate
vixie-cron
kernel
kernel-source
kgcc
pwdb
sh-utils
kudzu
less
libjpeg-devel
libpng-devel
libstdc++-devel
libtiff
m4
libtool
lilo
linuxconf
losetup
ltrace
mailx
MAKEDEV
man-pages
mkbootdisk
mount
ncftp
ncurses-devel
netpbm
newt
njamd
patch
pciutils-devel
pmake
procps
pump
python-devel
quota
rcs
rdist
readline-devel
redhat-release
rmt
rpm
rpm-devel
rsh
rsync
screen
setserial
shapecfg
slang-devel
stat
sysstat
tar
tcpdump
timeconfig
traceroute
ucd-snmp-utils
up2date
util-linux
vim-minimal
words
xinetd
zlib
apache
apache-manual
raidtools
%post
-------------------------------------------------------------------------------

Below is the error messages which appear:

File "/tmp/updates/todo.py", line 375, in_ _init _ _
self.setclass (instClass)

File "/tmp/updates/todo.py", line 1088, in setClass 
todo.language.setBy Abbrev(todo.instclass.languague)

File "/tmp/updates todo.py", line 245, in setAbbrev, in SetByAbbrev
self.set (self.abbrevMap[lang]) keyError: en install exited abnormally sending 
termination signals ..done

Spending kill signals ... done disabling swap....

unmounting filesystems .....
                                         /mnt/runtime/usr

/proc/bus/usb
    /mnt/runtime
             /dev/pts             /proc
                                        
 you may safely reboot your system
Comment 3 Brent Fox 2001-07-25 12:21:59 EDT
I think I see the problem.  You need to say 'lang en_US' at the beginning of
your kickstart file instead of 'lang en'.  Please refer to the kickstart
documentation for all the kickstart options
(http://www.redhat.com/support/manuals/RHL-7.1-Manual/customization-guide/s1-kickstart2-options.html)


Note You need to log in before you can comment on or make changes to this bug.